%define name lxde-halevt-additions
%define version 0.1
%define release %mkrel 1

Name:		%{name}
Version:       	%{version}
Release:       	%{release}
Summary:	To make LXDE behave like KDE or Gnome with auto events with plugged-in devices
Group:		File tools
License:	GPL
URL:		http://www.pclinuxos.com/forum/index.php/topic,66775.0.html
Requires:	halevt libxml2_2 libnotify1 notification-daemon
#Need same requires as in the XML file
Requires:	pcmanfm xmms libxine1 gnomebaker gtkam tango-icon-theme
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
To make LXDE behave like KDE or Gnome (auto events with plugged-in devices like digicams, dvb-t-adapters, 
usb-devices or inserted CD/DVD with Audio, Video, datas) you can use this package

%install
rm -rf $RPM_BUILD_ROOT

%__mkdir_p %buildroot%{_sysconfdir}/halevt
cat >> %buildroot%{_sysconfdir}/halevt/halevt.xml << EOF
<?xml version="1.0" encoding="UTF-8"?>
<halevt:Configuration version="0.1" xmlns:halevt="http://www.environnement.ens.fr/perso/dumas/halevt.html">

<halevt:Device match="hal.volume.disc.has_data = true">
<halevt:Insertion exec="pcmanfm"/>
</halevt:Device>

<halevt:Device match="hal.volume.disc.has_audio = true">
<halevt:Insertion exec="xmms /mnt/cdrom"/>
<halevt:Removal exec="killall xmms"/>
</halevt:Device>

<halevt:Device match="hal.volume.disc.has_video = true">
<halevt:Insertion exec="xine dvd://"/>
<halevt:Removal exec="killall xine"/>
</halevt:Device>

<halevt:Device match="hal.volume.disc.is_videodvd = true">
<halevt:Insertion exec="xine dvd://"/>
<halevt:Removal exec="killall xine"/>
</halevt:Device>

<halevt:Device match="hal.info.udi = /org/freedesktop/Hal/devices/volume_empty_cd_r">
<halevt:Insertion exec="gnomebaker"/>
</halevt:Device>

<halevt:Device match="hal.info.udi = /org/freedesktop/Hal/devices/volume_empty_cd_rw">
<halevt:Insertion exec="gnomebaker"/>
</halevt:Device>

<halevt:Device match="hal.info.udi = /org/freedesktop/Hal/devices/volume_empty_dvd">
<halevt:Insertion exec="gnomebaker"/>
</halevt:Device>

<halevt:Device match="hal.info.category = storage &amp; hal.storage.bus = usb">
            <halevt:Insertion exec="pcmanfm"/>
          </halevt:Device>

<halevt:Device match="hal.info.category = camera">
            <halevt:Insertion exec="gtkam"/>
          </halevt:Device>

<halevt:Device match="hal.info.udi = /org/freedesktop/Hal/devices/computer_power_supply_ac_adapter_AC">
            <halevt:Property name="hal.ac_adapter.present">
            <halevt:Action value="true" exec="notify-send -t 5000 -i /usr/share/icons/Tango/scalable/status/info.svg 'The AC adapter is connected now ...'"/>
           </halevt:Property>
          </halevt:Device>

<halevt:Device match="hal.info.udi = /org/freedesktop/Hal/devices/computer_power_supply_ac_adapter_AC">
            <halevt:Property name="hal.ac_adapter.present">
            <halevt:Action value="false" exec="notify-send -t 5000 -i /usr/share/icons/Tango/scalable/status/info.svg 'The AC adapter was removed ...'"/>
           </halevt:Property>
          </halevt:Device>

</halevt:Configuration>
EOF


#TODO?:
#Make sure to have a mountpoint /mnt/cdrom, if you want to play AudioCDS with xmms and my halevt.xml!
#Remove all lines concerning CD/DVD/CDRW/DVDRW devices in your /etc/fstab, so that pcmanfm is allowed to mount CDs/DVDs with datas and or pictures using hal!


%clean
rm -rf $RPM_BUILD_ROOT

%post
echo @halevt >> %{_sysconfdir}/xdg/lxsession/LXDE/autostart 


%files
%{_sysconfdir}/halevt/halevt.xml

%changelog
* Sun Feb 07 2010 MBantz <martin dot bantz at gmail dot com> 0.1-1
- Initial build
